/*
 * SelectSqlTest.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.accessor.dbaccess;

import org.junit.Test;


import jp.co.cybec.cb3.accessor.dbaccess.InsertSql;
import jp.co.cybec.cb3.accessor.dbaccess.SelectSql;
import junit.framework.Assert;

/**
 *
 * SelectSqlクラスのテストケース
 * @author Lijuan Sun
 */
public class SelectSqlTest{

	/**
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.SelectSql} のためのテスト・メソッド。
	 * IDが指定される場合
	 */
	@Test
	public void testGetId001() {

		InsertSql intSql = new InsertSql();

		intSql.setId("select001");
		Assert.assertEquals("select001",intSql.getId());
	}

	/**
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.SelectSql} のためのテスト・メソッド。
	 * IDが空文字列を指定される場合
	 */
	@Test
	public void testGetId002() {

		SelectSql intSql = new SelectSql();

		intSql.setId("");
		Assert.assertEquals("",intSql.getId());
	}

	/**
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.SelectSql} のためのテスト・メソッド。
	 * IDがnullを指定される場合
	 */
	@Test
	public void testGetId003() {

		SelectSql intSql = new SelectSql();

		intSql.setId(null);
		Assert.assertNull(intSql.getId());
	}

	/**
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.SelectSql} のためのテスト・メソッド。
	 * IDが指定される場合
	 */
	@Test
	public void testSetId() {

		SelectSql intSql = new SelectSql();

		intSql.setId("select002");
		Assert.assertEquals("select002",intSql.getId());
	}

	/**
	 *
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.SelectSql} のためのテスト・メソッド。
	 * IDが指定される場合
	 */
	@Test
	public void testGetSelect001() {

		SelectSql intSql = new SelectSql();

		intSql.setSelect("select * from EMPLOYEE");
		Assert.assertEquals("select * from EMPLOYEE",intSql.getSelect());
	}

	/**
	 *
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.SelectSql} のためのテスト・メソッド。
	 * SQL文が空文字列を指定される場合
	 */
	@Test
	public void testGetSelect002() {

		SelectSql intSql = new SelectSql();

		intSql.setSelect("");
		Assert.assertEquals("",intSql.getSelect());

	}

	/**
	 *
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.SelectSql} のためのテスト・メソッド。
	 * SQL文がnullを指定される場合
	 */
	@Test
	public void testGetSelect003() {

		SelectSql intSql = new SelectSql();

		intSql.setSelect(null);
		Assert.assertNull(intSql.getSelect());

	}

	/**
	 *
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.SelectSql} のためのテスト・メソッド。
	 * SQL文が指定される場合
	 */
	@Test
	public void testSetSelect() {

		SelectSql intSql = new SelectSql();

		intSql.setSelect("");
		Assert.assertEquals("",intSql.getSelect());
	}
}

